Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class UnaryTableSequenceDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.SequenceDefinition
oracle.toplink.tools.schemaframework.UnaryTableSequenceDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class UnaryTableSequenceDefinition
extends SequenceDefinition

Purpose: Creates / drops an unary sequence table: the name of the table is sequence name; its only field is named unarySequenceCounterFieldName

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `sequenceCounterFieldName`

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`UnaryTableSequenceDefinition(java.lang.String name, java.lang.String sequenceCounterFieldName)`
`UnaryTableSequenceDefinition(java.lang.String name, UnaryTableSequence sequence)`
`UnaryTableSequenceDefinition(UnaryTableSequence sequence)`

Method Summary
`boolean` | `checkIfExist(Session session)` INTERAL: Verify whether the sequence exists.
`java.lang.String` | `getSequenceCounterFieldName()` PUBLIC: Return the name of the only field of this table
`void` | `setSequenceCounterFieldName(java.lang.String sequenceCounterFieldName)` PUBLIC: Set the name of the only field of this table

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sequenceCounterFieldName

    public java.lang.String sequenceCounterFieldName

Constructor Detail

### UnaryTableSequenceDefinition

    public UnaryTableSequenceDefinition(java.lang.String name,
                                        java.lang.String sequenceCounterFieldName)

### UnaryTableSequenceDefinition

    public UnaryTableSequenceDefinition(UnaryTableSequence sequence)

### UnaryTableSequenceDefinition

    public UnaryTableSequenceDefinition(java.lang.String name,
                                        UnaryTableSequence sequence)

Method Detail

### checkIfExist

    public boolean checkIfExist(Session session)
                         throws DatabaseException

  INTERAL: Verify whether the sequence exists. Assume that the unary sequence table exists.
  Specified by:
    `checkIfExist` in class `SequenceDefinition`
  Throws:
    `DatabaseException`

### getSequenceCounterFieldName

    public java.lang.String getSequenceCounterFieldName()

  PUBLIC: Return the name of the only field of this table

### setSequenceCounterFieldName

    public void setSequenceCounterFieldName(java.lang.String sequenceCounterFieldName)

  PUBLIC: Set the name of the only field of this table

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD